Bug 202376 - mail/evolution: missing spamassassin/bogofilter plugins
Summary: mail/evolution: missing spamassassin/bogofilter plugins
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-16 23:18 UTC by Carlos J Puga Medina
Modified: 2016-07-05 10:41 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch (3.95 KB, patch)
2016-05-11 15:14 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-08-16 23:18:40 UTC
I noticed that if I go to Edit > Preferences > Mail Preferences > Junk there's not a box "Junk filtering software" to chose between Bogofilter and
SpamAssassin.

Somebody experience this issue?

% pkg info evolution
evolution-3.16.4
Name           : evolution
Version        : 3.16.4
Installed on   : Thu Aug 13 22:21:43 CEST 2015
Origin         : mail/evolution
Architecture   : freebsd:10:x86:64
Prefix         : /usr/local
Categories     : mail gnome
Licenses       : 
Maintainer     : gnome@FreeBSD.org
WWW            : http://www.gnome.org/projects/evolution/
Comment        : Integrated mail, calendar and address book distributed suite
Options        :
	BOGOFILTER     : on
	CANBERRA       : on
	LDAP           : on
	PST            : off
	SPAMASSASSIN   : on
	WEATHER        : on
Shared Libs required:
	libxml2.so.2
	libwebkitgtk-3.0.so.0
	libssl3.so.1
	libsqlite3.so.0
	libsoup-2.4.so.1
	libsmime3.so.1
	libsecret-1.so.0
	libplds4.so.1
	libplc4.so.1
	libpangocairo-1.0.so.0
	libpango-1.0.so.0
	libp11-kit.so.0
	libnssutil3.so.1
	libnss3.so.1
	libnspr4.so.1
	libnotify.so.4
	libldap-2.4.so.2
	liblber-2.4.so.2
	libjson-glib-1.0.so.0
	libjavascriptcoregtk-3.0.so.0
	libintl.so.8
	libiconv.so.2
	libicalvcal.so.1
	libicalss.so.1
	libical.so.1
	libgweather-3.so.6
	libgtkspell3-3.so.0
	libgtk-3.so.0
	libgobject-2.0.so.0
	libgnome-desktop-3.so.10
	libgmodule-2.0.so.0
	libglib-2.0.so.0
	libgio-2.0.so.0
	libgdk_pixbuf-2.0.so.0
	libgdk-3.so.0
	libgdata.so.19
	libgcr-ui-3.so.1
	libgcr-base-3.so.1
	libgck-1.so.0
	libgailutil-3.so.0
	libenchant.so.1
	libedataserverui-1.2.so.1
	libedataserver-1.2.so.20
	libedata-book-1.2.so.25
	libecal-1.2.so.18
	libebook-contacts-1.2.so.1
	libebook-1.2.so.16
	libebackend-1.2.so.10
	libdbus-glib-1.so.2
	libdbus-1.so.3
	libcryptui.so.0
	libcanberra.so.0
	libcanberra-gtk3.so.0
	libcamel-1.2.so.52
	libcairo.so.2
	libcairo-gobject.so.2
	libatk-1.0.so.0
	libX11.so.6
Shared Libs provided:
	liborg-gnome-templates.so
	liborg-gnome-save-calendar.so
	liborg-gnome-publish-calendar.so
	liborg-gnome-prefer-plain.so
	liborg-gnome-mailing-list-actions.so
	liborg-gnome-mail-to-task.so
	liborg-gnome-mail-notification.so
	liborg-gnome-itip-formatter.so
	liborg-gnome-face.so
	liborg-gnome-external-editor.so
	liborg-gnome-evolution-bbdb.so
	liborg-gnome-evolution-attachment-reminder.so
	liborg-gnome-email-custom-header.so
	liborg-gnome-dbx-import.so
	libgnomecanvas.so
	libevolution-util.so
	libevolution-smime.so
	libevolution-shell.so
	libevolution-mail.so
	libevolution-mail-importers.so
	libevolution-mail-formatter.so
	libevolution-mail-composer.so
	libevolution-calendar.so
	libevolution-calendar-importers.so
	libevolution-addressbook-importers.so
	libessmime.so
	libemail-engine.so
	libecontactlisteditor.so
	libecontacteditor.so
	libeabutil.so
Annotations    :
Flat size      : 63.9MiB
Description    :
Ximian Evolution[tm] is the premier personal and workgroup information
management solution for UNIX.  Evolution seamlessly integrates email,
calendaring, meeting scheduling, contact management and online task lists
in one powerful, fast, and easy to use application.  It also delivers a
comprehensive set of features that help keep work organized and projects
on track.  The unique Ximian vFolders[tm] are virtual folders used to
create and save powerful contextual views of email messages. 

WWW: http://www.gnome.org/projects/evolution/
Comment 1 Frank Jahnke 2015-12-04 18:36:23 UTC
I have been bitten by this bug too.  For me it makes Evolution nearly useless, since I get about 500 spams a day and there seems to be no way to train a spam filter.  

I am using Evolution 3.16.5 installed from ports, with both bogofilter and spamassissin installed.  Same symptoms as described in the original bug report.  In addition, the spam plugins do not appear in the "plugin" dialog box, in spite of the proper .so files being in the proper evolution modules directory.
Comment 2 Carlos J. Puga Medina freebsd_committer 2016-05-11 15:14:42 UTC
Created attachment 170215 [details]
patch

- Add LICENSE
- Fix bogofilter and spamassassin plugins integration
- Regenerate patches with 'make makepatch'
Comment 3 commit-hook freebsd_committer 2016-07-05 10:38:00 UTC
A commit references this bug:

Author: kwm
Date: Tue Jul  5 10:37:21 UTC 2016
New revision: 418080
URL: https://svnweb.freebsd.org/changeset/ports/418080

Log:
  * Teach evolution where to find spamassassin and bogofilter. So junk
    filtering work.
  * Add LICENSE blob.

  PR:		202376 (based on)
  Submitted by:	cpm@

Changes:
  head/mail/evolution/Makefile
Comment 4 Koop Mast freebsd_committer 2016-07-05 10:41:56 UTC
I committed a beter version, please let me know if there are any issues. I don't think the svn churn is worth to do the patch regen. So I left that out.